@import 'variables.scss';

.modal-export {
  display: block;
  width: 445px;
  height: auto;
  padding-bottom: 100px;
  border-radius: 4px;
  background: $white-text-color;
  overflow: hidden;
  position: relative;
  ul,
  p {
    padding: 0;
    margin: 0;
    list-style-type: none;
  }
  // top modal
  .top-modal {
    display: flex;
    align-items: center;
    width: 100%;
    height: 60px;
    padding: 0 0 0 21px;
    background: $secondary-color;
    .title-modal {
      display: block;
      font-size: 22px;
      font-weight: 500;
      color: $white-text-color;
      text-transform: capitalize;
    }
  }
  .cover-title {
    display: block;
    padding: 19px 0 17px 29px;
    border-bottom: 1px solid #d8d8d8;
    position: relative;
    .title-select {
      display: block;
      font-size: 16px;
      font-weight: bold;
      color: $real-black;
    }
  }
  .cover-select {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 151px;
    position: absolute;
    top: 21px;
    right: 26px;
    &:before {
      content: '/';
      display: block;
      font-size: 14px;
      color: #707070;
      position: absolute;
      left: calc(50% - 9px);
    }
    .click-select {
      display: block;
      font-size: 14px;
      color: #205cb9;
    }
  }
  // box check
  .box-check {
    display: block;
    width: 100%;
    height: 363px;
    padding: 14px 0 0 29px;
    overflow-y: auto;
    border-bottom: 1px solid #d8d8d8;
    position: relative;
    .list-check {
      li {
        margin-bottom: 15px;
        &:last-child {
          margin-bottom: 0;
        }
      }
    }
  }
  // second modal
  .second-modal {
    padding: 40px 26px 0 29px;
    position: relative;

    // cover check
    .cover-check {
      margin-bottom: 43px;
      &.sample {
        display: block;
      }
      .title-check {
        display: block;
        margin-bottom: 9px;
        font-size: 16px;
        font-weight: bold;
        color: $real-black;
      }
      .text-sample {
        display: block;
        padding-bottom: 4px;
        font-size: 16px;
        color: $real-black;
        line-height: 17px;
      }
      // check here
      .check-here {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 200px;
      }
    }
    // cover input
    .cover-input {
      .title-input {
        display: block;
        margin-bottom: 8px;
        font-size: 16px;
        font-weight: bold;
        color: $real-black;
      }
      .input-here {
        width: 390px;
        height: 40px;
        input {
          width: 100%;
          height: 100%;
          font-size: 14px;
          font-weight: 500;
          color: $gray-darker;
          border: none;
          outline: none;
          background: transparent;

          &::-webkit-input-placeholder {
            color: rgba(98, 111, 134, 0.5);
          }

          &::-moz-placeholder {
            color: rgba(98, 111, 134, 0.5);
          }

          &:-ms-input-placeholder {
            color: rgba(98, 111, 134, 0.5);
          }
        }
        // style for input
        ::ng-deepmat-form-field {
          width: 100%;
          height: 100%;
          margin: 0;
          &.input-page {
            .mat-form-field-wrapper {
              .mat-form-field-flex {
                padding-right: 54px;
              }
            }
          }

          .mat-form-field-wrapper {
            height: 100%;
            padding-bottom: 0;
            margin: 0;

            .mat-form-field-flex {
              height: 100%;
              margin: 0;
              .mat-form-field-infix {
                height: 100%;
                display: flex;
                align-items: center;
                background-color: transparent;
                border: none;
                border-radius: 0;
                box-shadow: none;
                padding: 0 !important;
              }
            }
          }

          .mat-form-field-underline {
            display: none;
          }
        }
        ::ng-deep.mat-form-field-appearance-outline {
          .mat-form-field-outline {
            top: 0;
          }
        }
      }
    }
  }
  // bottom-btn
  .bottom-btn {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    height: 68px;
    padding-right: 11px;
    border-top: 1px solid #d8d8d8;
    position: absolute;
    left: 0;
    bottom: 0;
    ::ng-deep.btn-export {
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: 111px;
      height: 40px;
      padding: 0;
      font-size: 16px;
      font-weight: bold;
      color: $white-text-color;
      border: none;
      border-radius: 4px;
      background: $primary-color;
      text-transform: capitalize;
      cursor: pointer;
      text-align: center;
      .mat-button-wrapper {
        line-height: 40px;
      }
      &.cancel {
        color: $primary-color;
        background: transparent;
      }
      .mat-button-focus-overlay,
      .mat-button-ripple {
        opacity: 0;
      }
    }
  }
  // click close
  .click-close {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    position: absolute;
    top: 10px;
    right: 4px;
    img {
      display: block;
      width: 26px;
      height: auto;
    }
  }
  ::ng-deep.mat-checkbox {
    height: 21px;
    .mat-checkbox-inner-container {
      width: 18px;
      height: 18px;
    }
    .mat-checkbox-label {
      font-size: 14px;
      color: $real-black;
      line-height: 18px;
      text-transform: capitalize;
      position: relative;
      top: 1px;
    }
    .mat-checkbox-frame {
      border-color: #000;
      border-radius: 3px;
    }
  }
  ::ng-deep.mat-checkbox-checked {
    &.mat-accent {
      .mat-checkbox-background {
        background: $white-text-color;
        border-color: #000;
      }
    }
    .mat-checkbox-checkmark {
      fill: $real-black;
      width: 16px;
      top: 1px;
      left: 1px;
    }
    .mat-checkbox-checkmark-path {
      stroke: $real-black !important;
    }
    .mat-checkbox-frame {
      z-index: 1;
      border-radius: 3px;
    }
  }
}
